Bug 186214 - unable to blank cd-rw
unable to blank cd-rw
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 05:06 EST by LarryT
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version: Fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 04:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
k3b-file : unable to blank (2.45 KB, text/plain)
2006-03-22 05:06 EST, LarryT
no flags Details
launched as root from shell (2.05 KB, text/plain)
2006-03-22 05:37 EST, LarryT
no flags Details
no umount choice (86.73 KB, image/jpeg)
2006-03-22 07:24 EST, LarryT
no flags Details
same problem with release (2.45 KB, text/plain)
2006-03-22 16:52 EST, LarryT
no flags Details

  None (edit)
Description LarryT 2006-03-22 05:06:01 EST
Description of problem:
wanted to burn an iso, but the cd-rw wasn't blak ; so tk3b asked me for blanking
the cd, and i answer "yes".
But k3b was unable to blank it.
See attachement about the bug-file generated by k3b, please.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 LarryT 2006-03-22 05:06:02 EST
Created attachment 126461 [details]
k3b-file : unable to blank
Comment 2 Harald Hoyer 2006-03-22 05:22:57 EST
hmm... another application locked your CDROM... nautilus running?
Comment 3 LarryT 2006-03-22 05:37:50 EST
Created attachment 126464 [details]
launched as root from shell

no ! there is nothing opened.
I try to run k3b as root, i got an error message ---> see attahcement please.
Comment 4 LarryT 2006-03-22 05:48:12 EST
when umount /dev/hdc (as root, of course), the process succeeds !
But the user cant umount, and so cant erase cd-rw...

any workaround please ?
Comment 5 Harald Hoyer 2006-03-22 06:57:22 EST
the user should be able to umount... right click on the cdrom symbol, if not
make sure you are first logged in as a normal user (then maybe root) to own
/dev/hdc.

$ ls -l /dev/hdc

hdc should belong to the user.
Comment 6 LarryT 2006-03-22 07:24:00 EST
Created attachment 126468 [details]
no umount choice
Comment 7 LarryT 2006-03-22 07:27:47 EST
Sorry for the post i missed :(
There is no umount choice.
Output of the command you told me :
[johndoe@Fopadix-fc5 ~]$ ls -l /dev/hdc
brw------- 1 johndoe disk 22, 0 Mar 22 07:09 /dev/hdc
[johndoe@Fopadix-fc5 ~]$
Comment 8 Harald Hoyer 2006-03-22 07:28:57 EST
reassigning to nautilus
Comment 9 LarryT 2006-03-22 08:07:44 EST
and what may i do ??? :-/
Comment 10 LarryT 2006-03-22 08:13:57 EST
just one thing to add : 
i see i find "mount Volume" when right clicking the mouse, when the drive is
empty. But have no choice to umount when the drive is auto-mounted, as the above
screenshot shows.
Comment 11 LarryT 2006-03-22 16:52:14 EST
Created attachment 126512 [details]
same problem with release

no changes with the release, on gnome
Comment 12 Alexander Larsson 2006-03-23 03:50:27 EST
For removable media nautilus puts "eject" instead of "unmount" in the menu,
since eject is typically what you want for such media, and having both is pretty
unnecessary. I don't see why k3b can't unmount the cdrom, i think that is what
nautilus-cd-burner does.
Comment 13 Otto Rey 2006-03-23 12:52:47 EST
Try to umount the cdrw from inside k3b. In the top-left corner, you have a list
of cd and dvd devices (and also filesystem). Click with the rigth-buton in you
cdrecorder and then, umount. Then, try to write the image again.

I hope that this help...

Comment 14 LarryT 2006-03-23 14:06:47 EST
I tried what you told, but it makes absolutly nothing, but blinking one second :(
just like it is locked. And even if i first choose unlock, it makes no differences
Really weird ....

i thank you anyway.
Comment 15 LarryT 2006-03-24 05:36:52 EST
Find the solution, on fedoraforum :
gnome-umount -d /dev/cdrw

http://forums.fedoraforum.org/showthread.php?p=481018#post481018

Comment 16 antonio montagnani 2006-09-08 10:23:45 EDT
same here.

Workaround is to unmount /dev/cdrw as root and then blank CD-RW.
Same behaviour aslo with nautilus burner.

No problem before last updates (no idea which causes this misbehaviour), my
systems are fully updated up to September 8, 2006.

Same behaviour on different computers
Comment 17 petrosyan 2008-03-10 22:09:57 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 18 LarryT 2008-03-11 03:25:07 EDT
No that's okay. thx

Note You need to log in before you can comment on or make changes to this bug.